#======================================================================================================================================================================================================
# System
#======================================================================================================================================================================================================
# Simon perf measurement
org.unidata.mdm.system.simon.enabled=false

# Versions - platform
org.unidata.mdm.system.platform.version=6.0

# Developer mode. Will run schema migrations even on regular start
org.unidata.mdm.system.developer.mode=true

# This node id. Must be unique across cluster (TODO generate!).
org.unidata.mdm.system.node.id=87ba01ce01e0

# Data dump target format - JAXB or PROTOSTUFF
org.unidata.mdm.system.dump.target.format=PROTOSTUFF

# Default locale
org.unidata.mdm.system.default.locale=ru

# DB
org.unidata.mdm.system.datasource.url=jdbc:postgresql://${POSTGRES_ADDRESS}/${DATABASE_NAME:postgres}?user=${POSTGRES_USERNAME}&password=${POSTGRES_PASSWORD}&currentSchema=org_unidata_mdm_system&ApplicationName=Unidata-System

# TX XA related stuff.
# org.unidata.mdm.system.bitronix.tm.logfile1=
# org.unidata.mdm.system.bitronix.tm.logfile2=
# Replay timeout in millis
# Event service
org.unidata.mdm.system.event.replay.timeout=3000

# Distributed cache (Hazelcast)
# Common
org.unidata.mdm.system.cache.port = 5701
org.unidata.mdm.system.cache.port.autoincrement = false
# org.unidata.mdm.system.cache.port.count = 20
# org.unidata.mdm.system.cache.public.address = 11.22.33.44:5555
# org.unidata.mdm.system.cache.interfaces = 10.3.16.*,10.3.10.4-18
# org.unidata.mdm.system.cache.outbound.ports = 37000,37001,37002,37003,38500-38600
org.unidata.mdm.system.cache.reuse.address = false

# Multicast
org.unidata.mdm.system.cache.multicast.enabled = false
org.unidata.mdm.system.cache.multicast.group = 224.2.2.3
org.unidata.mdm.system.cache.multicast.port = 54327
org.unidata.mdm.system.cache.multicast.ttl = 32
org.unidata.mdm.system.cache.multicast.timeout = 2
# org.unidata.mdm.system.cache.multicast.trusted = 10.3.16.*

# TCP/IP
org.unidata.mdm.system.cache.tcp-ip.enabled = false
org.unidata.mdm.system.cache.tcp-ip.members = 192.168.1.0-7,192.168.1.21
org.unidata.mdm.system.cache.tcp-ip.timeout = 2

# Initial pipelines (file:, http:, classpath:, etc.)
org.unidata.mdm.system.initial.pipelines=file://${unidata.conf}/community-pipelines.json
#======================================================================================================================================================================================================
# Search
#======================================================================================================================================================================================================
# Elasticsearch
# Addresses of ES nodes, comma separated
org.unidata.mdm.search.cluster.nodes=${ELASTICSEARCH_CLUSTER_ADDRESS}
# Name of the cluster
org.unidata.mdm.search.cluster.name=${ELASTICSEARCH_CLUSTER_NAME}
# Index/typename is constructed from 'index prefix'_'storage id'_'entity name',
# what allows to have several application/storage instances on the same ES cluster.
org.unidata.mdm.search.index.prefix=default
# Per index settings
# Bare default
org.unidata.mdm.search.shards.number=1
org.unidata.mdm.search.replicas.number=0
# Max number of hits (max window size) to returns.
org.unidata.mdm.search.hits.limit=200000
# Number of fields in a single index. 1000 is the default
org.unidata.mdm.search.fields.limit=10000
# Default fuzziness settings
org.unidata.mdm.search.fuzziness=1
org.unidata.mdm.search.fuzziness.prefix.length=4
# Score
org.unidata.mdm.search.calculate.score=true
org.unidata.mdm.search.default.min.score=0
#======================================================================================================================================================================================================
# Core
#======================================================================================================================================================================================================
# DB
org.unidata.mdm.core.datasource.url=jdbc:postgresql://${POSTGRES_ADDRESS}/${DATABASE_NAME:postgres}?user=${POSTGRES_USERNAME}&password=${POSTGRES_PASSWORD}&currentSchema=org_unidata_mdm_core&reWriteBatchedInserts=true&ApplicationName=Unidata-Core
org.unidata.mdm.core.datasource.uniqueName=Unidata-Core
org.unidata.mdm.core.datasource.className=org.postgresql.xa.PGXADataSource
org.unidata.mdm.core.datasource.allowLocalTransactions=true
org.unidata.mdm.core.datasource.enableJdbc4ConnectionTest=true
org.unidata.mdm.core.datasource.minPoolSize=3
org.unidata.mdm.core.datasource.maxPoolSize=5
# Jobs
org.unidata.mdm.core.job.pool.min.size=4
org.unidata.mdm.core.job.pool.max.size=24
org.unidata.mdm.core.job.queue.size=100
# Authentication/authorization
# Token expiration time in seconds, default 30 minutes (1800)
org.unidata.mdm.core.security.token.ttl=1800
# Password expiration time in seconds, default 30 days
unidata.security.password.expiration=2592000
# Audit
org.unidata.mdm.core.audit.enabled=true
org.unidata.mdm.core.audit.read.events=true
org.unidata.mdm.core.audit.stacktrace.depth=32
org.unidata.mdm.core.audit.writer.pool.size=4
org.unidata.mdm.core.audit.enabled.storages=es
# Async rare task executor
org.unidata.mdm.core.async.task.executor.pool.size=4
# Camel
org.unidata.mdm.core.camel.trace.enable=false
# Password policy
org.unidata.mdm.core.password.policy.allow.password.change=true
org.unidata.mdm.core.password.policy.expiration.notification.period=10
org.unidata.mdm.core.password.policy.admin.expiration.days=91
org.unidata.mdm.core.password.policy.user.expiration.days=181
org.unidata.mdm.core.password.policy.min.length=0
# org.unidata.mdm.core.password.policy.regexp =
# org.unidata.mdm.core.password.policy.regexp.example =
org.unidata.mdm.core.password.policy.check.repetitions.count=0
# Indexing
org.unidata.mdm.core.indexing.shards.number=1
org.unidata.mdm.core.indexing.replicas.number=0
# Jobs
# Remove stalled binaries
org.unidata.mdm.core.job.clean.binaries.disabled = false
org.unidata.mdm.core.job.clean.binaries.lifetime = 10080
org.unidata.mdm.core.job.clean.binaries.cronex = 0 0 0/1 * * ?
#======================================================================================================================================================================================================
# Draft
#======================================================================================================================================================================================================
org.unidata.mdm.draft.datasource.url=jdbc:postgresql://${POSTGRES_ADDRESS}/${DATABASE_NAME:postgres}?user=${POSTGRES_USERNAME}&password=${POSTGRES_PASSWORD}&currentSchema=org_unidata_mdm_draft&reWriteBatchedInserts=true&ApplicationName=Unidata-Draft
org.unidata.mdm.draft.datasource.uniqueName=Unidata-Draft
org.unidata.mdm.draft.datasource.className=org.postgresql.xa.PGXADataSource
org.unidata.mdm.draft.datasource.allowLocalTransactions=true
org.unidata.mdm.draft.datasource.enableJdbc4ConnectionTest=true
org.unidata.mdm.draft.datasource.minPoolSize=2
org.unidata.mdm.draft.datasource.maxPoolSize=2
# Jobs
# Remove stalled drafts
org.unidata.mdm.draft.job.clean.drafts.disabled = false
org.unidata.mdm.draft.job.clean.drafts.lifetime = 10080
org.unidata.mdm.draft.job.clean.drafts.cronex = 0 0 0/1 * * ?
#======================================================================================================================================================================================================
# Meta
#======================================================================================================================================================================================================
# DB
org.unidata.mdm.meta.datasource.url=jdbc:postgresql://${POSTGRES_ADDRESS}/${DATABASE_NAME:postgres}?user=${POSTGRES_USERNAME}&password=${POSTGRES_PASSWORD}&currentSchema=org_unidata_mdm_meta&reWriteBatchedInserts=true&ApplicationName=Unidata-Meta
org.unidata.mdm.meta.datasource.uniqueName=Unidata-Meta
org.unidata.mdm.meta.datasource.className=org.postgresql.xa.PGXADataSource
org.unidata.mdm.meta.datasource.allowLocalTransactions=true
org.unidata.mdm.meta.datasource.enableJdbc4ConnectionTest=true
org.unidata.mdm.meta.datasource.minPoolSize=3
org.unidata.mdm.meta.datasource.maxPoolSize=5
# Global fixed validity range start / end.
# Timeline boundaries of records will be of this period, if not overriden in entities.
org.unidata.mdm.meta.validity.period.start=1900-01-01T00:00:00.000
org.unidata.mdm.meta.validity.period.end=9999-12-31T23:59:59.999
org.unidata.mdm.meta.validity.period.mode=DATE
org.unidata.mdm.meta.indexing.entity.shards=1
org.unidata.mdm.meta.indexing.entity.replicas=0
org.unidata.mdm.meta.indexing.lookup.shards=1
org.unidata.mdm.meta.indexing.lookup.replicas=0
#======================================================================================================================================================================================================
# Data
#======================================================================================================================================================================================================
# temporary partitioning flags
org.unidata.mdm.data.shards=32
# Data nodes
# 1 Node
org.unidata.mdm.data.nodes=0:node0:postgres@postgres:postgres@${POSTGRES_ADDRESS}
# Sample 2 nodes
# org.unidata.mdm.data.nodes=\
# 0:node1:postgres@postgres:unidata@localhost:5433,\
# 1:node2:postgres@postgres:unidata@${POSTGRES_ADDRESS}
# Storage DB
org.unidata.mdm.data.datasource.url=jdbc:postgresql://${POSTGRES_ADDRESS}/${DATABASE_NAME:postgres}?user=${POSTGRES_USERNAME}&password=${POSTGRES_PASSWORD}&currentSchema=org_unidata_mdm_data&reWriteBatchedInserts=true&ApplicationName=Unidata-Storage
org.unidata.mdm.data.datasource.uniqueName=Unidata-Storage
org.unidata.mdm.data.datasource.className=org.postgresql.xa.PGXADataSource
org.unidata.mdm.data.datasource.allowLocalTransactions=true
org.unidata.mdm.data.datasource.enableJdbc4ConnectionTest=true
org.unidata.mdm.data.datasource.minPoolSize=5
org.unidata.mdm.data.datasource.maxPoolSize=10

#======================================================================================================================================================================================================
# DQ - Core
#======================================================================================================================================================================================================
# Core
org.unidata.mdm.dq.core.datasource.url=jdbc:postgresql://${POSTGRES_ADDRESS}/${DATABASE_NAME:postgres}?user=${POSTGRES_USERNAME}&password=${POSTGRES_PASSWORD}&currentSchema=org_unidata_mdm_dq_core&reWriteBatchedInserts=true&ApplicationName=Unidata-DataQuality
org.unidata.mdm.dq.core.datasource.uniqueName=Unidata-DataQuality
org.unidata.mdm.dq.core.datasource.className=org.postgresql.xa.PGXADataSource
org.unidata.mdm.dq.core.datasource.allowLocalTransactions=true
org.unidata.mdm.dq.core.datasource.enableJdbc4ConnectionTest=true
org.unidata.mdm.dq.core.datasource.minPoolSize = 3
org.unidata.mdm.dq.core.datasource.maxPoolSize = 3
